set(COMPONENT_SRCDIRS
    "src"
    "src/nimble/nimble/host/src"
    "src/nimble/porting/nimble/src"
    "src/nimble/porting/npl/freertos/src"
    "src/nimble/ext/tinycrypt/src"
    "src/nimble/esp_port/port/src"
    "src/nimble/nimble/host/services/gap/src"
    "src/nimble/nimble/host/services/gatt/src"
    "src/nimble/esp_port/esp-hci/src"
    "src/nimble/nimble/host/store/config/src"
)

set(COMPONENT_ADD_INCLUDEDIRS
    "src"
)

set(COMPONENT_REQUIRES
    "arduino"
)

register_component()

target_compile_definitions(${COMPONENT_TARGET} PUBLIC -DESP32)
target_compile_options(${COMPONENT_TARGET} PRIVATE )
